<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.bmgl.mapper.BmSbxhMapper">
    <select id="selectMaxId" resultType="decimal">
        SELECT NVL(MAX(to_number(CODE)), 0)
        FROM bm_sbxh
    </select>
    <select id="selectName" resultType="com.tofly.feesapi.bmgl.entity.BmSbxh">
        SELECT name
        FROM bm_sbxh where code=#{code}
    </select>
    <select id="selectListMap" resultType="java.util.Map">
        select * from bm_sbxh where 1=1 order by to_number(code) asc
    </select>
    <resultMap id="bmSbxhMap" type="com.tofly.feesapi.bmgl.entity.BmSbxh">
        <id property="code" column="CODE"/>
        <result property="czryxm" column="CZRYXM"/>
        <result property="sbcj" column="SBCJ"/>
        <result property="name" column="NAME"/>
        <result property="sbdx" column="SBDX"/>
        <result property="jccs" column="JCCS"/>
        <result property="cyd" column="CYD"/>
        <result property="czsj" column="CZSJ"/>
        <result property="czry" column="CZRY"/>
        <result property="isdisabled" column="ISDISABLED"/>
    </resultMap>


</mapper>
